org.apache.storm.cassandra.query.selector

## Class FieldSelector

- java.lang.Object
- - org.apache.storm.cassandra.query.selector.FieldSelector

- All Implemented Interfaces:
    Serializable

      public class FieldSelector
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `field`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldSelector(String field)` Creates a new `FieldSelector` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldSelector` | `as(String as)` Sets an alias for this field.
    `protected Object` | `getFieldValue(ITuple tuple)` Get field value.
    `FieldSelector` | `now()` Sets the fields as an automatically generated TimeUUID.
    `Column` | `select(ITuple t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field

          protected final String field

  - ### Constructor Detail

    - #### FieldSelector

          public FieldSelector(String field)

      Creates a new `FieldSelector` instance.

      Parameters:
        `field` - the name of value

  - ### Method Detail

    - #### select

          public Column select(ITuple t)

    - #### getFieldValue

          protected Object getFieldValue(ITuple tuple)

      Get field value.

      Returns:
        Compute the value of this field from given `tuple`

    - #### now

          public FieldSelector now()

      Sets the fields as an automatically generated TimeUUID.

      Returns:
        this

    - #### as

          public FieldSelector as(String as)

      Sets an alias for this field.

      Parameters:
        `as` - the alias name
      Returns:
        this

Copyright © 2019 The Apache Software Foundation. All rights reserved.